%global srcname  pylint-django

Name:           python-%{srcname}
Version:        2.0.9
Release:        1%{?dist}
Summary:        Pylint plugin for improving code analysis when analysing code using Django.

License:        GPLv2
URL:            https://github.com/PyCQA/pylint-django
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-pylint

%description
Prevents warnings about Django-generated attributes such as Model.objects or Views.request.
Prevents warnings when using ForeignKey attributes ("Instance of ForeignKey has no <x> member").
Fixes pylint's knowledge of the types of Model and Form field attributes
Validates Model.__unicode__ methods.
Meta informational classes on forms and models do not generate errors.
Flags dangerous use of the exclude attribute in ModelForm.Meta.


%package        -n python3-%{srcname}
Summary:        %{summary}
Requires:       pyhton3-pylint
Requires:       python3-pylint-plugin-utils
%description -n python3-%{srcname}
Prevents warnings about Django-generated attributes such as Model.objects or Views.request.
Prevents warnings when using ForeignKey attributes ("Instance of ForeignKey has no <x> member").
Fixes pylint's knowledge of the types of Model and Form field attributes
Validates Model.__unicode__ methods.
Meta informational classes on forms and models do not generate errors.
Flags dangerous use of the exclude attribute in ModelForm.Meta.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE
%doc CHANGELOG.rst  CONTRIBUTORS.md README.rst
%{python3_sitelib}/pylint_django
%{python3_sitelib}/pylint_django-%{version}-py?.?.egg-info


%changelog
* Fri Apr 26 2019 Mairi Dulaney <jdulaney@fedoraproject.org> - 2.0.9-1
- Initial packaging
